org.eclipse.net4j.util.ui.widgets

## Class HistoryTextDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.InputDialog
      - - org.eclipse.net4j.util.ui.widgets.HistoryTextDialog

- All Implemented Interfaces:
    IShellProvider

      public class HistoryTextDialog
      extends InputDialog

  TODO extend BaseDialog
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

      `Window.IExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.dialogs.Dialog

      `blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

    - ### Fields inherited from class org.eclipse.jface.window.Window

      `CANCEL, OK, resizeHasOccurred`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HistoryTextDialog(Shell parentShell, java.lang.String dialogTitle, java.lang.String dialogMessage, IHistory<java.lang.String> history, IInputValidator validator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `buttonPressed(int buttonId)`
    `protected void` | `createButtonsForButtonBar(Composite parent)`
    `protected Control` | `createDialogArea(Composite parent)`
    `IHistory<java.lang.String>` | `getHistory()`
    `HistoryText` | `getHistoryText()`
    `java.lang.String` | `getValue()`
    `protected void` | `validateInput()`

    - ### Methods inherited from class org.eclipse.jface.dialogs.InputDialog

      `configureShell, getErrorMessageLabel, getInputTextStyle, getOkButton, getText, getValidator, setErrorMessage`

    - ### Methods inherited from class org.eclipse.jface.dialogs.Dialog

      `applyDialogFont, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, createButton, createButtonBar, createContents, dialogFontIsDefault, getBlockedHandler, getButton, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

    - ### Methods inherited from class org.eclipse.jface.window.Window

      `canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, handleShellCloseEvent, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HistoryTextDialog

          public HistoryTextDialog(Shell parentShell,
                                   java.lang.String dialogTitle,
                                   java.lang.String dialogMessage,
                                   IHistory<java.lang.String> history,
                                   IInputValidator validator)

  - ### Method Detail

    - #### getHistory

          public IHistory<java.lang.String> getHistory()

    - #### getHistoryText

          public HistoryText getHistoryText()

    - #### getValue

          public java.lang.String getValue()

      Overrides:
        `getValue` in class `InputDialog`

    - #### createDialogArea

          protected Control createDialogArea(Composite parent)

      Overrides:
        `createDialogArea` in class `InputDialog`

    - #### buttonPressed

          protected void buttonPressed(int buttonId)

      Overrides:
        `buttonPressed` in class `InputDialog`

    - #### createButtonsForButtonBar

          protected void createButtonsForButtonBar(Composite parent)

      Overrides:
        `createButtonsForButtonBar` in class `InputDialog`

    - #### validateInput

          protected void validateInput()

      Overrides:
        `validateInput` in class `InputDialog`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html